Subject: bug#16078: Extensive docs and tests for `ruby-forward-string' (PATCH)

From: Dmitry Gutov <[email-masked]>
Date: Sun, 15 Dec 2013 05:36:25 +0200

On 12.12.2013 00:48, Cameron Desautels wrote:
> I agree completely. But I didn't have my head around how all of the code
> worked and I wanted to contribute as I could. Plus I though it would be
> best to include some tests for my work, even if they weren't as high
> level as would be ideal.
>
> Let me know what else you need from me.

I'm sure someone will send you the papers to sign, sooner or later.

In the meantime, you could rewrite the tests to be more high-level, or 
work on replacing the uses of `ruby-forward-string' with `forward-sexp' 
(like I described earlier) if you have the time. If not, that's okay too.